Cs. Henk wrote:

> On Wed, Mar 16, 2005 at 08:04:48PM +0900, Richard Dale wrote:
>> It still probably isn't compatible with the GPL, and can't be built with
>> gcc. I think it's worth waiting for Qt 4, which is out in a month or two.
> 
> I don't get it. Why couldn't you compile it -- or anything else under
> the Sun -- with gcc? GPL doesn't have such restrictions. What do you
> think linux commercial apps are compiled with?
Sorry I was talking about the Windows version, not the Linux one. The
current QtRuby for Qt 3 compiles just fine with gcc on Linux.

But at the moment you can't compile Qt 3 with gcc under Windows as far as I
know. I don't know what the problem is exactly, but apparently Trolltech
have done some work to improve Qt 4 compatibility with gcc on Windows.

-- Richard